# frozen_string_literal: true

require 'creditsafe/version'
require 'creditsafe/configuration'
require 'creditsafe/client'
require 'creditsafe/models/search'
require 'creditsafe/models/credit_report'

module Creditsafe
  module_function

  def configure
    yield(configuration)
  end

  def client
    @client ||= Client.new
  end

  def configuration
    @configuration ||= Configuration.new
  end
end
