# frozen_string_literal: true

require 'creditsafe/base_model'
require 'creditsafe/models/activity'

module Creditsafe
  module Models
    class ActivityClassification < BaseModel
      attributes :classification, :activities

      def self.build(json:)
        super.tap do |record|
          record.activities = json.fetch(:activities, []).map { |act| Activity.build(json: act) }
        end
      end
    end
  end
end
