# frozen_string_literal: true

require 'creditsafe/base_model'
require 'creditsafe/models/address'

module Creditsafe
  module Models
    class Company < BaseModel
      attributes :id, :address, :country, :reg_no, :vat_no, :safe_no,
                 :name, :status, :type,
                 :date_of_latest_accounts, :date_of_latest_change,
                 :activity_code, :status_description

      def self.build(json:)
        super.tap do |record|
          record.address = Address.build(json: json.fetch(:address, {}))
        end
      end
    end
  end
end
