# frozen_string_literal: true

require 'creditsafe/base_model'
require 'creditsafe/models/address'

module Creditsafe
  module Models
    class ContactInformation < BaseModel
      attributes :main_address, :other_addresses

      def self.build(json:)
        super.tap do |record|
          record.main_address = Address.build(json: json.fetch(:mainAddress, {}))
          record.other_addresses = json.fetch(:otherAddresses, []).map do |addr|
            Address.build(json: addr)
          end
        end
      end
    end
  end
end
