# frozen_string_literal: true

require 'creditsafe/base_model'
require 'creditsafe/models/currency_value'
require 'creditsafe/models/provider_value'

module Creditsafe
  module Models
    class CreditRating < BaseModel
      attributes :common_value, :common_description, :credit_limit,
                 :provider_value, :provider_description

      def self.build(json:)
        super.tap do |record|
          record.credit_limit = CurrencyValue.build(json: json.fetch(:creditLimit, {}))
          record.provider_value = ProviderValue.build(json: json.fetch(:providerValue, {}))
        end
      end
    end
  end
end
